Bug 720000 - Failure in datasource while processing Fetch request
Failure in datasource while processing Fetch request
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.1
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: Ian Springer
Mike Foley
:
Depends On:
Blocks: rhq41-ui
  Show dependency treegraph
 
Reported: 2011-07-08 12:30 EDT by Mike Foley
Modified: 2013-08-05 20:39 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-07 14:18:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
AS7 Failure in datasource while processing Fetch request (105.45 KB, image/png)
2011-07-08 12:30 EDT, Mike Foley
no flags Details

  None (edit)
Description Mike Foley 2011-07-08 12:30:23 EDT
Created attachment 511966 [details]
AS7 Failure in datasource while processing Fetch request

Description of problem:  AS7 Plugin, Failure in datasource while processing Fetch request.  See attached image.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  AS7 Plugin....just clicking on the resource ... see image
2.
3.
  
Actual results:


Expected results:


Additional info:
Failure in datasource while processing FETCH request.
Severity :	
Error
	
Time :	
Friday, July 8, 2011 12:20:56 PM Etc/GMT+4
Detail :	
com.google.gwt.core.client.JavaScriptException:(TypeError): this$static is null stack: java_lang_String_$trim__Ljava_lang_String_2Ljava_lang_String_2(null)@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:26746 org_rhq_enterprise_gui_coregui_client_dashboard_portlets_resource_ResourceConfigurationUpdatesPortlet$ConfigurationUdpatesCriteriaDataSource_getFetchCriteria__Lcom_smartgwt_client_data_DSRequest_2Lorg_rhq_core_domain_criteria_ResourceConfigurationUpdateCriteria_2([object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:94413 org_rhq_enterprise_gui_coregui_client_inventory_resource_detail_configuration_ConfigurationHistoryDataSource_getFetchCriteria__Lcom_smartgwt_client_data_DSRequest_2Lorg_rhq_core_domain_criteria_Criteria_2([object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:94328 org_rhq_enterprise_gui_coregui_client_util_RPCDataSource_transformRequest__Lcom_smartgwt_client_data_DSRequest_2Ljava_lang_Object_2([object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:55403 ([object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:13299 com_google_gwt_core_client_impl_Impl_entry0__Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2((function (dsRequest) {var jObj = this.__ref;jObj === undefined && (jObj = $wnd.isc.DS.get(this.inheritsFrom).__ref);var dsRequestJ = com_smartgwt_client_data_DSRequest_$DSRequest__Lcom_smartgwt_client_data_DSRequest_2Lcom_google_gwt_core_client_JavaScriptObject_2Lcom_smartgwt_client_data_DSRequest_2(new com_smartgwt_client_data_DSRequest, dsRequest);var data = jObj.transformRequest__Lcom_smartgwt_client_data_DSRequest_2Ljava_lang_Object_2(dsRequestJ);data != null && com_google_gwt_lang_Cast_canCast__IIZ(data.java_lang_Object_typeId$, 27) ? (data = data.getJsObj__Lcom_google_gwt_core_client_JavaScriptObject_2()) : data != null && com_google_gwt_lang_Cast_canCast__IIZ(data.java_lang_Object_typeId$, 360) && (data = com_smartgwt_client_util_JSOHelper_convertToJavaScriptArray___3Ljava_lang_Object_2Lcom_google_gwt_core_client_JavaScriptObject_2(data));return data;}),[object Object],[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:2474 ([object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:2463 isc_DataSource_getServiceInputs([object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_DataBinding.js:365 isc_DataSource_sendDSRequest([object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_DataBinding.js:597 isc_DataSource_performDSOperation("fetch",[object Object],[object Object],[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_DataBinding.js:579 isc_DataSource_fetchData([object Object],[object Object],[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_DataBinding.js:552 isc_ResultSet_fetchRemoteData([object Object],0,75)@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_DataBinding.js:1268 isc_ResultSet__fetchRemoteData()@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_DataBinding.js:1263 isc_ResultSet_getRangePaged(0,7,(void 0),(void 0))@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_DataBinding.js:1384 isc_ResultSet__getRangePaged(0,7,(void 0),(void 0))@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_DataBinding.js:1376 isc_ResultSet_getRange(0,7)@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_DataBinding.js:1242 isc_ListGrid_requestVisibleRows()@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Grids.js:1519 isc_Canvas_filterWithCriteria([object Object],[object Object],[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:3393 isc_Canvas__filter("fetch",[object Object],null,[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:3390 isc_c_Class_invokeSuper(null,"$wo")@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:279 isc_c_Class_Super("$wo",[object Array],[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:271 isc_ListGrid__filter("fetch",[object Object],null,[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Grids.js:2010 isc_Canvas_fetchData([object Object],null,[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:3368 isc_Canvas_doInitialFetch()@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:3377 isc_Canvas_draw((void 0),(void 0),(void 0),(void 0),(void 0),(void 0),(void 0),(void 0))@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:1953 isc_c_Class_invokeSuper([object Object],"draw",(void 0),(void 0),(void 0),(void 0))@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:279 isc_ListGrid_draw()@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Grids.js:1314 ()@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:17689 isc_Layout_layoutChildren("initial draw")@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Foundation.js:439 isc_Layout_drawChildren()@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Foundation.js:338 isc_Canvas_draw()@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:1959 ()@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:17689 isc_Layout_layoutChildren("initial draw")@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Foundation.js:436 isc_Layout_drawChildren()@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Foundation.js:338 isc_Canvas_draw()@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:1959 ()@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:17689 isc_Canvas_addChild([object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:2200 com_smartgwt_client_widgets_Canvas_$addChild__Lcom_smartgwt_client_widgets_Canvas_2Lcom_smartgwt_client_widgets_Canvas_2Lcom_smartgwt_client_widgets_Canvas_2([object Object],[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:17855 org_rhq_enterprise_gui_coregui_client_dashboard_portlets_resource_ResourceConfigurationUpdatesPortlet$1_$onSuccess__Lorg_rhq_enterprise_gui_coregui_client_dashboard_portlets_resource_ResourceConfigurationUpdatesPortlet$1_2Lorg_rhq_core_domain_util_PageList_2V([object Object],[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:94091 org_rhq_enterprise_gui_coregui_client_dashboard_portlets_resource_ResourceConfigurationUpdatesPortlet$1_onSuccess__Ljava_lang_Object_2V([object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:94108 com_google_gwt_user_client_rpc_impl_RequestCallbackAdapter_$onResponseReceived__Lcom_google_gwt_user_client_rpc_impl_RequestCallbackAdapter_2Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V([object Object],[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:9294 org_rhq_enterprise_gui_coregui_client_util_rpc_TrackingRequestCallback_onResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V([object Object],[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:151972 com_google_gwt_http_client_Request_$fireOnResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_RequestCallback_2V([object Object],[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:4378 com_google_gwt_http_client_RequestBuilder$1_onReadyStateChange__Lcom_google_gwt_xhr_client_XMLHttpRequest_2V([object XMLHttpRequest])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:4604 ([object Event])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:12598 com_google_gwt_core_client_impl_Impl_entry0__Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2((function () {handler.onReadyStateChange__Lcom_google_gwt_xhr_client_XMLHttpRequest_2V(_this);}),[object XMLHttpRequest],[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:2474 ([object Event])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:2463 handleEvent([object Event])@:0 SJOWContentBoundary()@:0 fileName: http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html lineNumber: 26746
--- STACK TRACE FOLLOWS ---
(TypeError): this$static is null stack: java_lang_String_$trim__Ljava_lang_String_2Ljava_lang_String_2(null)@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:26746 org_rhq_enterprise_gui_coregui_client_dashboard_portlets_resource_ResourceConfigurationUpdatesPortlet$ConfigurationUdpatesCriteriaDataSource_getFetchCriteria__Lcom_smartgwt_client_data_DSRequest_2Lorg_rhq_core_domain_criteria_ResourceConfigurationUpdateCriteria_2([object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:94413 org_rhq_enterprise_gui_coregui_client_inventory_resource_detail_configuration_ConfigurationHistoryDataSource_getFetchCriteria__Lcom_smartgwt_client_data_DSRequest_2Lorg_rhq_core_domain_criteria_Criteria_2([object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:94328 org_rhq_enterprise_gui_coregui_client_util_RPCDataSource_transformRequest__Lcom_smartgwt_client_data_DSRequest_2Ljava_lang_Object_2([object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:55403 ([object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:13299 com_google_gwt_core_client_impl_Impl_entry0__Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2((function (dsRequest) {var jObj = this.__ref;jObj === undefined && (jObj = $wnd.isc.DS.get(this.inheritsFrom).__ref);var dsRequestJ = com_smartgwt_client_data_DSRequest_$DSRequest__Lcom_smartgwt_client_data_DSRequest_2Lcom_google_gwt_core_client_JavaScriptObject_2Lcom_smartgwt_client_data_DSRequest_2(new com_smartgwt_client_data_DSRequest, dsRequest);var data = jObj.transformRequest__Lcom_smartgwt_client_data_DSRequest_2Ljava_lang_Object_2(dsRequestJ);data != null && com_google_gwt_lang_Cast_canCast__IIZ(data.java_lang_Object_typeId$, 27) ? (data = data.getJsObj__Lcom_google_gwt_core_client_JavaScriptObject_2()) : data != null && com_google_gwt_lang_Cast_canCast__IIZ(data.java_lang_Object_typeId$, 360) && (data = com_smartgwt_client_util_JSOHelper_convertToJavaScriptArray___3Ljava_lang_Object_2Lcom_google_gwt_core_client_JavaScriptObject_2(data));return data;}),[object Object],[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:2474 ([object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:2463 isc_DataSource_getServiceInputs([object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_DataBinding.js:365 isc_DataSource_sendDSRequest([object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_DataBinding.js:597 isc_DataSource_performDSOperation("fetch",[object Object],[object Object],[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_DataBinding.js:579 isc_DataSource_fetchData([object Object],[object Object],[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_DataBinding.js:552 isc_ResultSet_fetchRemoteData([object Object],0,75)@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_DataBinding.js:1268 isc_ResultSet__fetchRemoteData()@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_DataBinding.js:1263 isc_ResultSet_getRangePaged(0,7,(void 0),(void 0))@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_DataBinding.js:1384 isc_ResultSet__getRangePaged(0,7,(void 0),(void 0))@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_DataBinding.js:1376 isc_ResultSet_getRange(0,7)@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_DataBinding.js:1242 isc_ListGrid_requestVisibleRows()@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Grids.js:1519 isc_Canvas_filterWithCriteria([object Object],[object Object],[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:3393 isc_Canvas__filter("fetch",[object Object],null,[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:3390 isc_c_Class_invokeSuper(null,"$wo")@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:279 isc_c_Class_Super("$wo",[object Array],[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:271 isc_ListGrid__filter("fetch",[object Object],null,[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Grids.js:2010 isc_Canvas_fetchData([object Object],null,[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:3368 isc_Canvas_doInitialFetch()@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:3377 isc_Canvas_draw((void 0),(void 0),(void 0),(void 0),(void 0),(void 0),(void 0),(void 0))@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:1953 isc_c_Class_invokeSuper([object Object],"draw",(void 0),(void 0),(void 0),(void 0))@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:279 isc_ListGrid_draw()@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Grids.js:1314 ()@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:17689 isc_Layout_layoutChildren("initial draw")@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Foundation.js:439 isc_Layout_drawChildren()@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Foundation.js:338 isc_Canvas_draw()@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:1959 ()@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:17689 isc_Layout_layoutChildren("initial draw")@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Foundation.js:436 isc_Layout_drawChildren()@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Foundation.js:338 isc_Canvas_draw()@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:1959 ()@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:17689 isc_Canvas_addChild([object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:2200 com_smartgwt_client_widgets_Canvas_$addChild__Lcom_smartgwt_client_widgets_Canvas_2Lcom_smartgwt_client_widgets_Canvas_2Lcom_smartgwt_client_widgets_Canvas_2([object Object],[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:17855 org_rhq_enterprise_gui_coregui_client_dashboard_portlets_resource_ResourceConfigurationUpdatesPortlet$1_$onSuccess__Lorg_rhq_enterprise_gui_coregui_client_dashboard_portlets_resource_ResourceConfigurationUpdatesPortlet$1_2Lorg_rhq_core_domain_util_PageList_2V([object Object],[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:94091 org_rhq_enterprise_gui_coregui_client_dashboard_portlets_resource_ResourceConfigurationUpdatesPortlet$1_onSuccess__Ljava_lang_Object_2V([object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:94108 com_google_gwt_user_client_rpc_impl_RequestCallbackAdapter_$onResponseReceived__Lcom_google_gwt_user_client_rpc_impl_RequestCallbackAdapter_2Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V([object Object],[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:9294 org_rhq_enterprise_gui_coregui_client_util_rpc_TrackingRequestCallback_onResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V([object Object],[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:151972 com_google_gwt_http_client_Request_$fireOnResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_RequestCallback_2V([object Object],[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:4378 com_google_gwt_http_client_RequestBuilder$1_onReadyStateChange__Lcom_google_gwt_xhr_client_XMLHttpRequest_2V([object XMLHttpRequest])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:4604 ([object Event])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:12598 com_google_gwt_core_client_impl_Impl_entry0__Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2((function () {handler.onReadyStateChange__Lcom_google_gwt_xhr_client_XMLHttpRequest_2V(_this);}),[object XMLHttpRequest],[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:2474 ([object Event])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html:2463 handleEvent([object Event])@:0 SJOWContentBoundary()@:0 fileName: http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/DA30B4C85EE0D5F742EB876A4ACA650C.cache.html lineNumber: 26746
    at Unknown.java_lang_String_$trim__Ljava_lang_String_2Ljava_lang_String_2(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_dashboard_portlets_resource_ResourceConfigurationUpdatesPortlet$ConfigurationUdpatesCriteriaDataSource_getFetchCriteria__Lcom_smartgwt_client_data_DSRequest_2Lorg_rhq_core_domain_criteria_ResourceConfigurationUpdateCriteria_2(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_inventory_resource_detail_configuration_ConfigurationHistoryDataSource_getFetchCriteria__Lcom_smartgwt_client_data_DSRequest_2Lorg_rhq_core_domain_criteria_Criteria_2(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_util_RPCDataSource_transformRequest__Lcom_smartgwt_client_data_DSRequest_2Ljava_lang_Object_2(Unknown source:0)
    at Unknown.anonymous(Unknown source:0)
    at Unknown.com_google_gwt_core_client_impl_Impl_entry0__Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2(Unknown source:0)
    at Unknown.anonymous(Unknown source:0)
    at Unknown.isc_DataSource_getServiceInputs(Unknown source:0)
    at Unknown.isc_DataSource_sendDSRequest(Unknown source:0)
    at Unknown.isc_DataSource_performDSOperation(Unknown source:0)
    at Unknown.isc_DataSource_fetchData(Unknown source:0)
    at Unknown.isc_ResultSet_fetchRemoteData(Unknown source:0)
    at Unknown.isc_ResultSet__fetchRemoteData(Unknown source:0)
    at Unknown.isc_ResultSet_getRangePaged(Unknown source:0)
    at Unknown.isc_ResultSet__getRangePaged(Unknown source:0)
    at Unknown.isc_ResultSet_getRange(Unknown source:0)
    at Unknown.isc_ListGrid_requestVisibleRows(Unknown source:0)
    at Unknown.isc_Canvas_filterWithCriteria(Unknown source:0)
    at Unknown.isc_Canvas__filter(Unknown source:0)
    at Unknown.isc_c_Class_invokeSuper(Unknown source:0)
    at Unknown.isc_c_Class_Super(Unknown source:0)
    at Unknown.isc_ListGrid__filter(Unknown source:0)
    at Unknown.isc_Canvas_fetchData(Unknown source:0)
    at Unknown.isc_Canvas_doInitialFetch(Unknown source:0)
    at Unknown.isc_Canvas_draw(Unknown source:0)
    at Unknown.isc_c_Class_invokeSuper(Unknown source:0)
    at Unknown.isc_ListGrid_draw(Unknown source:0)
    at Unknown.anonymous(Unknown source:0)
    at Unknown.isc_Layout_layoutChildren(Unknown source:0)
    at Unknown.isc_Layout_drawChildren(Unknown source:0)
    at Unknown.isc_Canvas_draw(Unknown source:0)
    at Unknown.anonymous(Unknown source:0)
    at Unknown.isc_Layout_layoutChildren(Unknown source:0)
    at Unknown.isc_Layout_drawChildren(Unknown source:0)
    at Unknown.isc_Canvas_draw(Unknown source:0)
    at Unknown.anonymous(Unknown source:0)
    at Unknown.isc_Canvas_addChild(Unknown source:0)
    at Unknown.com_smartgwt_client_widgets_Canvas_$addChild__Lcom_smartgwt_client_widgets_Canvas_2Lcom_smartgwt_client_widgets_Canvas_2Lcom_smartgwt_client_widgets_Canvas_2(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_dashboard_portlets_resource_ResourceConfigurationUpdatesPortlet$1_$onSuccess__Lorg_rhq_enterprise_gui_coregui_client_dashboard_portlets_resource_ResourceConfigurationUpdatesPortlet$1_2Lorg_rhq_core_domain_util_PageList_2V(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_dashboard_portlets_resource_ResourceConfigurationUpdatesPortlet$1_onSuccess__Ljava_lang_Object_2V(Unknown source:0)
    at Unknown.com_google_gwt_user_client_rpc_impl_RequestCallbackAdapter_$onResponseReceived__Lcom_google_gwt_user_client_rpc_impl_RequestCallbackAdapter_2Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_util_rpc_TrackingRequestCallback_onResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V(Unknown source:0)
    at Unknown.com_google_gwt_http_client_Request_$fireOnResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_RequestCallback_2V(Unknown source:0)
    at Unknown.com_google_gwt_http_client_RequestBuilder$1_onReadyStateChange__Lcom_google_gwt_xhr_client_XMLHttpRequest_2V(Unknown source:0)
    at Unknown.anonymous(Unknown source:0)
    at Unknown.com_google_gwt_core_client_impl_Impl_entry0__Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2(Unknown source:0)
    at Unknown.anonymous(Unknown source:0)
    at Unknown.handleEvent(Unknown source:0)
    at Unknown.SJOWContentBoundary(Unknown source:0)
    at Unknown.anonymous(Unknown source:0)
Comment 1 Ian Springer 2011-08-18 16:36:32 EDT
[master adaec0e] adds a null check that should prevent this NPE.
Comment 2 Sunil Kondkar 2011-08-19 03:38:31 EDT
Verified on build#306 (Version: 4.1.0-SNAPSHOT Build Number: c5c70b8)

No exception is observed on clicking As7 resource. Marking as verified.
Comment 3 Mike Foley 2012-02-07 14:18:50 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.